//Задаем путь к точкам обмена сообщениями 
function [messages,..//Сообщения
          isQuesion,..//Вопрос ли?
          pathToCommandPoint]=ReadCommandFromFile(CommandFilePointName,..//Имя точки обмена сообщениями
                                                  waiting..//Ожидание сообщения 
                                                  )
    //Проверяем число аргументов
    nArg = argn(2);
    if nArg < 1 then
        error('Function ReadCommandFromFile takes 1 or 2 arguments');
    elseif nArg == 1 then
        waiting = %f;//По умолчанию сообщение не ждем
    end
    
    //Проверяем аргументы
    if (type(CommandFilePointName) ~= 10) ||..
       (size(CommandFilePointName,'*') > 1) then
        error('The argument CommandFilePointName of function ReadCommandFromFile must be scalar string');
    end
    if (type(waiting) ~= 4) || (size(waiting,'*') ~= 1) then
        error('The argument deleting of function ReadCommandFromFile must be scalar boolean');
    end
    
    //Читаем сообщения
    [messages,..
     pathToMessagePoint]=ReadMessageFromPointFile(CommandFilePointName,..
                                                  'Quencion.ask',waiting,%f);//Считываем сообщение, но файл не удаляем
    
    //Выясняем, является ли сообщение вопросом
    if isempty(messages) then
        isQuesion = %f;//Пустые сообщения вопросом не являются
    else
        //Последнее сообщение
        end_message = messages($);
        
        //Есть ли вопрос
        l_end_message = length(end_message);//Длина последнего сообщения
        if l_end_message > 2 then
            isSpecSymbol = part(end_message,$-2) == '\';
            isQuesion = (~isSpecSymbol) && (part(end_message,[$-1,$]) == '\a');
            if isQuesion then
                messages($) = part(end_message,[1:($-2)]);
            elseif isSpecSymbol then
                messages($) = part(end_message,[[1:($-3)],[$-1,$]]);
            end
        elseif l_end_message < 2 then
            isQuesion = %f;
        else
            isQuesion = %t;//Знак вопроса перенесен на следующую строку
            messages = messages(1:($-1));//Последнюю строку убираем
        end
    end
endfunction
